﻿using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[,] valueArray =
            {
                { 5, 3, 10, 15, 3, 2, 256 },
                { 5, 2, 10, 10, 1, 4, 252 }
            };

            string[] categoryLabelArray = new string[]
            {
                "Wins",
                "Poles",
                "Podiums",
                "Points Finishes",
                "DNFs",
                "Fastest Laps",
                "Points"
            };

            RadarPlot radarPlot = plot.AddRadar(valueArray, independentAxes : true);

            radarPlot.ShowAxisValues = true;
            radarPlot.CategoryLabels = categoryLabelArray;
            radarPlot.GroupLabels    = new[] { "Sebastian Vettel", "Fernando Alonso" };

            plot.Title("2010 Formula One World Championship");
            plot.Legend();

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}